List Talent Channels
List the same products as List Products, but grouped under their respective job boards. Creating a booking only needs id and provider_product from List Products.
Channels with no bookable product are left out. Results are ordered by the best product rating on the channel, and by price for products within a channel.
curl -X GET "https://api.getkini.com/talent_channels/?page=1&page_size=20&ordering=name" \
-H "Content-Type: application/json" \
-H "Company-Id: 1" \
-H "Accept-Language: de" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.getkini.com/talent_channels/?page=1&page_size=20&ordering=name"
headers = {
"Content-Type": "application/json",
"Company-Id": "1",
"Accept-Language": "de",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.getkini.com/talent_channels/?page=1&page_size=20&ordering=name", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Company-Id": "1",
"Accept-Language": "de",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.getkini.com/talent_channels/?page=1&page_size=20&ordering=name", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Company-Id", "1")
req.Header.Set("Accept-Language", "de")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.getkini.com/talent_channels/?page=1&page_size=20&ordering=name')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Company-Id'] = '1'
request['Accept-Language'] = 'de'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"count": 12,
"next": "https://api.getkini.com/talent_channels/?page=2",
"previous": null,
"results": [
{
"id": 1062,
"slug": "stepstone",
"name": "StepStone",
"url": null,
"catalog_url": "https://www.stepstone.de/e-recruiting/produkte",
"logo": "https://storage.googleapis.com/prod-product-logos/logos/stepstonede.de",
"description": "StepStone ist eine der führenden Online-Jobplattformen weltweit, die eine breite Palette von Stellenangeboten in verschiedenen Branchen anbietet.",
"short_description": "Die Top-Adresse für alle Berufsgruppen.",
"products": [
{
"id": 2526,
"name": "Stepstone.de (Pro)",
"type": "single",
"url": "http://stepstone.de",
"description": "Allround-Jobanzeige auf StepStone für Fachkräfte aller Branchen. Automatischer Refresh hält die Anzeige aktuell; Verteilung erfolgt zusätzlich auf Fach- und Regionalportalen. Re-Targeting und eine Direktansprache potenzieller Kandidat*innen sind inklusive, um die Resonanz zu steigern.",
"talent_channel": 1062,
"list_price": 1399,
"price": 1299,
"provider_product": 2861,
"pricing": {
"pricing_type": "sponsored",
"price_interval": "one_time",
"budget_min": 500,
"budget_max": 5000,
"budget_steps": 100
},
"discount_percent": 7.8,
"list_days": 30,
"max_jobs": null,
"refresh_interval_options": [
7,
14,
30
],
"statistics": {
"booking_expected_clicks": 620,
"booking_apply_expected_clicks": 45
},
"rating": 98,
"required_fields": {
"job_fields": [
"city"
],
"custom_fields": [
{
"name": "ba_hiring_org_id",
"required": true
}
]
},
"updated_at": "2026-07-14T08:15:51.329489Z"
}
],
"total_products": 13
}
]
}
/talent_channels/
Target server for requests. Edit to use your own host.
Authenticate every request with an API key from the Kini Partner App, sent as Authorization: Bearer <your_api_key>.
Authorization: Bearer <your_api_key>.A page number within the paginated result set.
Number of results to return per page.
Sort field. Prefix with - to reverse. One of name, created_at, updated_at, max_product_rating.
Kini ID of the company the key is associated with
Language for translated text fields, e.g. de or en. Defaults to English. See Languages.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Authenticate every request with an API key from the Kini Partner App, sent as Authorization: Bearer <your_api_key>.
Query Parameters
Sort field. Prefix with - to reverse. One of name, created_at, updated_at, max_product_rating.
nameHeaders
Language for translated text fields, e.g. de or en. Defaults to English. See Languages.
deResponses
Total number of records available across all pages
URL to the next page of results
URL to the previous page of results
List of talent channels